require_dependency "geri/application_controller"

module Geri
  class Admin::PasswordResetsController < AdminController
    layout 'geri/admin/sessions'

    def new
      @password_reset = PasswordReset.new
    end

    def create
      @admin_user = AdminUser.find_by(email: params[:password_reset][:email])
      if @admin_user
        @admin_user.deliver_reset_password_instructions!
      end
      flash[:success] = 'If your account was found an email has been sent with instructions to reset your password.'
      redirect_to new_admin_password_reset_url
    end

  end
end
