Geri::Engine.routes.draw do

  namespace :admin, path: Geri::Config.admin_path do

    get 'login'  => 'sessions#new',        as: :login
    get 'signup' => 'admin_users#signup',  as: :singup
    delete 'logout' => 'sessions#destroy', as: :logout

    resources :sessions,        only: [:create, :destroy]
    resources :admin_users
    resources :password_resets, except: [:index, :destroy]

    get 'editor'  => 'editor#template'
    post 'editor' => 'editor#update_contents'
    get 'edit'    => 'editor#index'

    root to: 'dashboard#index'
  end

  get '*path' => 'pages#show'
  root to: 'pages#show'

end
