class SorceryCore < ActiveRecord::Migration
  def change
    create_table :geri_admin_users do |t|
      t.string :email,            null: false
      t.string :crypted_password
      t.string :salt

      t.string :first_name,       null: false
      t.string :last_name,        null: false

      t.string :reset_password_token,              index: true
      t.datetime :reset_password_token_expires_at
      t.datetime :reset_password_email_sent_at

      t.timestamps
    end

    add_index :geri_admin_users, :email, unique: true
  end
end