require_relative './extension'

module Geri
  module CLI
    class Base < Thor
      include Thor::Actions
      include Rails::Generators::Actions

      desc 'new NAME', 'Generate new Geri based Rails application'
      def new(name)
        basepath = File.expand_path('../../../../', __FILE__)
        Rails::Generators::AppGenerator.start [name,
                                               '-m',
                                               "#{basepath}/template.rb"
                                              ]
      end

      desc 'extension COMMAND', 'Controls Geri extensions'
      subcommand 'extension', Extension

    end
  end
end