require_dependency 'geri/application_controller'

module Geri
  class AdminController < ApplicationController
    before_filter :require_login
    before_filter :set_menu_items

    private

    def not_authenticated
      redirect_to admin_login_url
    end

    def set_menu_items
      @menu_items = Geri::Config.menu_items
    end

  end
end
