module Geri
  class AdminUserMailer < ApplicationMailer

    def reset_password_email(admin_user)
      @admin_user = admin_user
      @url = admin_edit_reset_password_url(admin_user.reset_password_token)
      mail to: admin_user.email, subject: "#{Geri::Config.site_name}: Password Reset"
    end

  end
end
