class GeriTemplateHandler
  def self.call(template)
    options = {
      locals:       template.locals,
      virtual_path: template.virtual_path,
      updated_at:   template.updated_at
    }
    source = template.source.gsub(Geri::Page::META_CAPTURE, '')
    template = ActionView::Template.new(source, template.identifier, template.handler, options)
    ActionView::Template::Handlers::ERB.call(template)
  end
end

ActionView::Template.register_template_handler(:erb, GeriTemplateHandler)