module Geri
  module Config
    class Site
      attr_reader :domain, :mount_point, :root
      attr_accessor :name

      def initialize(domain, mount_point)
        @domain      = domain
        @mount_point = mount_point
        if @mount_point == '/'
          @root = Rails.root.join('app', 'site')
        else
          @root = Rails.root.join('app', 'site', *@mount_point.split('/'))
        end
      end

    end
  end
end